<?php

namespace App\Observers;

use App\Models\WebsiteLegalPage;

class WebsiteLegalPageObserver
{
    public function saving(WebsiteLegalPage $websiteLegalPage)
    {
        $company = company();

        if ($company && !$company->is_global) {
            $websiteLegalPage->company_id = $company->id;
        }
    }
}
